<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: werte.php
| Author: Stephan Hoppenheidt www.hooy.de
| Copyright  2009
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
include THEME."theme.php";
require_once THEMES."templates/header.php";
include "infusion_db.php";
require_once "main.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists("locale/".$settings['locale'].".php")) {
        // Load the locale file matching the current site locale setting.
        include "locale/".$settings['locale'].".php";
} else {
        // Load the infusion's default locale file.
        include "locale/German.php";
}
if(iMEMBER)
{
member_menue();
}
if(isset($_GET['zsuchen']))
{
$result = dbquery("SELECT * FROM ".DB_SH_REZEPTE_ZUTATEN."
WHERE id='".$_GET['zsuchen']."'");
$data2 = dbarray($result);
add_to_title($locale['global_200'].$locale['r_201'].$data2['zutat']);
opentable($locale['r_201'].$data2['zutat']);
echo "<div align='right'>$locale[rf_003]</div>
<table cellpadding='3' cellspacing='3' width='100%'>\n";
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
$rows = dbcount("(rezept)", DB_SH_REZEPTE_ZUTATEN, "zutat='".$data2['zutat']."'");
if ($rows != 0) {
$result1 = dbquery("SELECT * FROM ".DB_SH_REZEPTE_ZUTATEN."
WHERE zutat='".$data2['zutat']."' LIMIT ".$_GET['rowstart'].",$rezeptsetting[proseite]");
while($data3 = dbarray($result1))
{
$data = dbarray(dbquery("SELECT * FROM ".DB_SH_REZEPTE." where id='".$data3['rezept']."' AND online='1'"));
if ($data['datum'] + 604800 > time() + ($settings['timeoffset'] * 3600)) {
                                                $new = "&nbsp;<span class='small'>[".$locale['r_018']."]</span>";
                                        } else {
                                                $new = "";
                                        }
                                        $result2 = dbquery("SELECT * FROM ".DB_SH_REZEPTE_BILD." WHERE  rezept ='$data3[rezept]' order by rand()");
$data1 = dbarray($result2);
if ($data1['bild'] && file_exists("infusions/sh_rezepte_panel/images/".$data1['bild'])) {
{$info = getimagesize ('infusions/sh_rezepte_panel/images/'.$data1['bild']);
$max_width   = "$rezeptsetting[bild_breite]"; //Thumbnailbreite
$max_height   = "$rezeptsetting[bild_hoehe]"; //Thumbnailhhe
$src_width        =$info[0];
$src_height      =$info[1];

                  if($src_width > $src_height)
                  {
                  if($src_width > $max_width )
                  {
                    $convert = $max_width/$src_width;
                    $dest_width = $max_width;
                    $dest_height = ceil($src_height*$convert);
                  }
                  else
                  {
                    $dest_width = $src_width;
                    $dest_height = $src_height;
                  }

                   }
                   else
                  {
                  if($src_height > $max_height)
                  {
                    $convert = $max_height/$src_height;
                    $dest_height = $max_height;
                    $dest_width = ceil($src_width*$convert);
                  }
                  else
                  {
                    $dest_height = $src_height;
                    $dest_width = $src_width;
                  }
                  }
$pic ="<img src='images/$data1[bild]' border='0' width='$dest_width' height='$dest_height'>";
$tab_breite=$dest_width+10;
     }
}
else
{$pic ="<img src='".IMAGES."$rezeptsetting[keinbild]' border='0' width='52'>";
$tab_breite=$rezeptsetting['bild_breite']+10;
}
$tauschuser = dbarray(dbquery("SELECT * FROM ".DB_USERS." where user_id ='$data[user_id]'"));
$commentar =dbcount("(*)", $db_prefix."comments", "comment_type='R' AND comment_item_id =$data[id]");
$bewertung =dbcount("(*)", $db_prefix."ratings", "rating_type='R' AND rating_item_id =$data[id]");
if($commentar =="1"){$coment =$locale['r_021'];}else{$coment =$locale['r_022'];}
if($bewertung =="1"){$bewert =$locale['r_019'];}else{$bewert =$locale['r_020'];}
echo "<tr><td>
<table cellpadding='1' cellspacing='1' style='width:100%' class='tbl2'>
 <tr><td width='$tab_breite' valign='top'><a href='".REZEPT."?rezept=$data[id]'>$pic</a></td><td valign='top'><a href='".REZEPT."?rezept=$data[id]'><b>".$data['name']."</b></a>$new<br>$locale[r_004] ".showdate("shortdate", $data['datum'])."<br><span class='small'>$commentar $coment & $bewertung $bewert</span></td>
 <td width='100' valign='top' class='small'>$locale[r_005]<br><a href='".BASEDIR."profile.php?lookup=$data[user_id]'>$tauschuser[user_name]</a><br>
$data[counter] $locale[r_008]</td></tr>
 </table></td></tr>";
}
if ($rows > $rezeptsetting['proseite']) echo "<tr><td><div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $rezeptsetting['proseite'], $rows, 3, FUSION_SELF."?zsuchen=".$_GET['zsuchen']."&amp;")."\n</div></td></tr>\n";
                        } else {
echo "<tr><td>".$locale['r_006']."</td></tr>\n";
}
echo "</table>\n";
closetable();
}
shfooter();
require_once THEMES."templates/footer.php";
?>