<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search_weblinks_include.php
| Author: Robert Gaudyn (Wooya)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."sh_rezepte_panel/locale/".$settings['locale'].".php")) {
        // Load the locale file matching the current site locale setting.
        include INFUSIONS."sh_rezepte_panel/locale/".$settings['locale'].".php";
} else {
        // Load the infusion's default locale file.
        include INFUSIONS."sh_rezepte_panel/locale/German.php";
}
require_once INFUSIONS.'sh_rezepte_panel/infusion_db.php';

if ($_GET['stype']  ==  "rezepte" || $_GET['stype'] == "all") {
        if ($_GET['sort'] == "datum") {
                $sortby = "datum";
        } else  {
                $sortby = "name";
        }
        $ssubject = search_querylike("name");
        $smessage = search_querylike("zubereitung");
                if ($_GET['fields'] == 0) {
                $fieldsvar = search_fieldsvar($ssubject);
        } else if ($_GET['fields'] == 1) {
                $fieldsvar = search_fieldsvar($smessage);
        } else if ($_GET['fields'] == 2) {
                $fieldsvar = search_fieldsvar($ssubject, $smessage);
        } else {
                $fieldsvar = "";
        }
        if ($fieldsvar) {
                $result = dbquery(
                        "SELECT * FROM ".DB_SH_REZEPTE."
                        WHERE ".$fieldsvar."
                        ".($_GET['datelimit'] != 0 ?" AND datum>=".(time()-$_GET['datelimit']):"")
                );
                $rows = dbrows($result);
        } else {
                $rows = 0;
        }
        if ($rows != 0) {
                $items_count .= THEME_BULLET."&nbsp;<a href='".FUSION_SELF."?stype=rezepte&amp;stext=".$_GET['stext']."&amp;".$composevars."'>".$rows." ".($rows == 1 ? "Rezepte" : $locale['r_401'])." ".$locale['r_400']."</a><br />\n";
                $result = dbquery(





                        "SELECT * FROM ".DB_SH_REZEPTE."
                        WHERE ".$fieldsvar."
                        ".($_GET['datelimit'] != 0 ? " AND datum>=".(time() - $_GET['datelimit']) : "")."
                        ORDER BY ".$sortby." ".($_GET['order'] == 1 ? "ASC" : "DESC").($_GET['stype']!="all"?" LIMIT ".$_GET['rowstart'].",10" : "")
                );
                while ($data = dbarray($result)) {
                        $search_result = "";
                        if ($data['datum']+604800 > time()+($settings['timeoffset']*3600)) {
                                $new = " <span class='small'>NEW</span>";
                        } else {
                                $new = "";
                        }
                        $text_all = $data['zubereitung'];
                        $text_all = search_striphtmlbbcodes($text_all);
                        $text_frag = search_textfrag($text_all);
                        $text_frag = highlight_words($swords, $text_frag);
                        $subj_c = search_stringscount($data['name']);
                        $text_c = search_stringscount($data['zubereitung']);

$search_result .= "<a href='".REZEPT."?rezept=$data[id]' >".highlight_words($swords, $data['name'])."</a>$new"."<br /><br />\n";
                        if ($text_frag != "") { $search_result .= "<div class='quote' style='width:auto;height:auto;overflow:auto'>".$text_frag."</div><br />"; }
                        $search_result .= "<span class='small'><font class='alt'>".$locale['w404']."</font> ".showdate("%d.%m.%y", $data['datum'])." | <span class='alt'>".$locale['w405']."</span> ".$data['counter']."</span><br /><br />\n";
                        search_globalarray($search_result);
                }
        } else {
                $items_count .= THEME_BULLET."&nbsp;0 ".$locale['r_401']." ".$locale['r_400']."<br />\n";
        }
        $navigation_result = search_navigation($rows);
}
?>