<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Stephan Hoppenheidt www.hooy.de
| Copyright  2009
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."sh_rezepte_panel/infusion_db.php";

// Infusion general information
$inf_title = $locale['shbb_title'];
$inf_descrription = $locale['shbb_desc'];
$inf_version = "1.0.0";
$inf_developer = "Hooy.de";
$inf_email = "kontakt@hooy.de";
$inf_weburl = "http://www.hooy.de";

$inf_folder = "sh_rezepte_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_SH_REZEPTE_CAT." (
cat_id SMALLINT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
name VARCHAR(250) NOT NULL DEFAULT '',
dcsr TEXT ,
parent_id SMALLINT (4) NOT NULL DEFAULT '0',
werbung TEXT ,
PRIMARY KEY (cat_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_SH_REZEPTE_BILD." (
id SMALLINT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
bild VARCHAR(250) NOT NULL DEFAULT '',
rezept SMALLINT (4) NOT NULL DEFAULT '0',
PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_SH_REZEPTE_MERK." (
id SMALLINT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
user_id SMALLINT (4) NOT NULL DEFAULT '0',
rezept SMALLINT (4) NOT NULL DEFAULT '0',
PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_newtable[4] = DB_SH_REZEPTE_WERTE." (
id SMALLINT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
name VARCHAR(250) NOT NULL DEFAULT '',
energie_kcal SMALLINT (4) NOT NULL DEFAULT '0',
energie_kj SMALLINT (4) NOT NULL DEFAULT '0',
wasser SMALLINT (4) NOT NULL DEFAULT '0',
ballastoffe SMALLINT (4) NOT NULL DEFAULT '0',
mineralstoffe SMALLINT (4) NOT NULL DEFAULT '0',
alkohol SMALLINT (4) NOT NULL DEFAULT '0',
kohlenhydrate SMALLINT (4) NOT NULL DEFAULT '0',
eiweiss SMALLINT (4) NOT NULL DEFAULT '0',
fett SMALLINT (4) NOT NULL DEFAULT '0',
bild VARCHAR(250) NOT NULL DEFAULT '',
PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_newtable[5] = DB_SH_REZEPTE_ZUTATEN." (
id SMALLINT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
zutat VARCHAR(250) NOT NULL DEFAULT '',
rezept SMALLINT (4) NOT NULL DEFAULT '0',
menge SMALLINT (4) NOT NULL DEFAULT '0',
art VARCHAR(250) NOT NULL DEFAULT '',
PRIMARY KEY (id)
) TYPE=MyISAM;";


$inf_newtable[6] = DB_SH_REZEPTE." (
id SMALLINT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
name VARCHAR(250) NOT NULL DEFAULT '',
zubereitung TEXT ,
kat SMALLINT (4) NOT NULL DEFAULT '0',
hcat SMALLINT (4) NOT NULL DEFAULT '0',
online SMALLINT (1) NOT NULL DEFAULT '1',
datum VARCHAR(250) NOT NULL DEFAULT '',
user_id SMALLINT (10) NOT NULL DEFAULT '0',
counter INT (250) NOT NULL DEFAULT '0',
personen SMALLINT (1) NOT NULL DEFAULT '0',
garzeit VARCHAR(250) NOT NULL DEFAULT '',
kalorien VARCHAR(250) NOT NULL DEFAULT '',
PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_newtable[7] = DB_SH_REZEPTE_SETS." (
hbild_breite SMALLINT (3) NOT NULL DEFAULT '50',
hbild_hoehe SMALLINT (3) NOT NULL DEFAULT '50',
bild_breite SMALLINT (3) NOT NULL DEFAULT '100',
bild_hoehe SMALLINT (3) NOT NULL DEFAULT '100',
zbild_breite SMALLINT (3) NOT NULL DEFAULT '100',
zbild_hoehe SMALLINT (3) NOT NULL DEFAULT '100',
spalten_startseite SMALLINT (4) NOT NULL DEFAULT '2',
proseite SMALLINT (4) NOT NULL DEFAULT '15',
keinbild VARCHAR(250) NOT NULL DEFAULT '',
kommentar SMALLINT (1) NOT NULL DEFAULT '1',
bewertung SMALLINT (1) NOT NULL DEFAULT '1',
bilder SMALLINT (2) NOT NULL DEFAULT '5',
empf_text TEXT ,
werbung_startseite TEXT,
text_startseite TEXT,
mail_neu TEXT
) TYPE=MyISAM;";


$inf_insertdbrow[1] = DB_SH_REZEPTE_SETS." (hbild_breite,hbild_hoehe,bild_breite,bild_hoehe,zbild_breite,zbild_hoehe,spalten_startseite,proseite, keinbild, kommentar,bewertung,bilder,empf_text,werbung_startseite,text_startseite,mail_neu) VALUES('50','50','100','100','100','100','2','15', 'imagenotfound.jpg', '1','1','5','         Folgendes Rezept wurde an Sie weiterempfohlen:','','Text auf der Startseite','1')";


$inf_adminpanel[1] = array(
        "title" => $locale['shbb_admin'],
        "image" => "image.gif",
        "panel" => "admin.php",
        "rights" => "shrb"
);

$inf_droptable[1] = DB_SH_REZEPTE_CAT;
$inf_droptable[2] = DB_SH_REZEPTE;
$inf_droptable[3] = DB_SH_REZEPTE_SETS;
$inf_droptable[4] = DB_SH_REZEPTE_ZUTATEN;
$inf_droptable[5] = DB_SH_REZEPTE_BILD;
$inf_droptable[6] = DB_SH_REZEPTE_MERK;
$inf_droptable[7] = DB_SH_REZEPTE_WERTE;
?>