<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright ? 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: Stephan Hoppenheidt www.hooy.de
| Copyright ? 2009
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."sh_rezepte_panel/locale/".$settings['locale'].".php")) {
        // Load the locale file matching the current site locale setting.
        include INFUSIONS."sh_rezepte_panel/locale/".$settings['locale'].".php";
} else {
        // Load the infusion's default locale file.
        include INFUSIONS."sh_rezepte_panel/locale/German.php";
}
define('REZEPT',BASEDIR.'rezepte.php');
define('REZEPTE',INFUSIONS.'sh_rezepte_panel/');
define('WERTE',INFUSIONS.'sh_rezepte_panel/werte.php');
define('ZUTATSUCHEN',INFUSIONS.'sh_rezepte_panel/suchen.php');
define('ZUTATENEDIT',INFUSIONS.'sh_rezepte_panel/member_zutaten.php');
define('BILDEDIT',INFUSIONS.'sh_rezepte_panel/member_bild.php');
define('REZEPTE_BILD',INFUSIONS.'sh_rezepte_panel/images/');
define('ZUTATEN_BILD',INFUSIONS.'sh_rezepte_panel/images/zutaten/');

//db

if (!defined("DB_SH_REZEPTE_CAT")) {
        define("DB_SH_REZEPTE_CAT", DB_PREFIX."sh_rezepte_cat");
}

if (!defined("DB_SH_REZEPTE")) {
        define("DB_SH_REZEPTE", DB_PREFIX."sh_rezepte");
}
if (!defined("DB_SH_REZEPTE_SETS")) {
        define("DB_SH_REZEPTE_SETS", DB_PREFIX."sh_rezepte_sets");
}
if (!defined("DB_SH_REZEPTE_ZUTATEN")) {
        define("DB_SH_REZEPTE_ZUTATEN", DB_PREFIX."sh_rezepte_zutaten");
}
if (!defined("DB_SH_REZEPTE_BILD")) {
        define("DB_SH_REZEPTE_BILD", DB_PREFIX."sh_rezepte_bild");
}
if (!defined("DB_SH_REZEPTE_MERK")) {
        define("DB_SH_REZEPTE_MERK", DB_PREFIX."sh_rezepte_merkliste");
}
if (!defined("DB_SH_REZEPTE_WERTE")) {
        define("DB_SH_REZEPTE_WERTE", DB_PREFIX."sh_rezepte_werte");
}
?>